Page MenuHomePhabricator

[RISCV] Precommit test for D122634
ClosedPublic

Authored by pcwang-thead on Apr 8 2022, 12:05 AM.

Diff Detail

Unit TestsFailed

TimeTest
61,390 msx64 debian > AddressSanitizer-x86_64-linux-dynamic.TestCases::scariness_score_test.cpp
Script: -- : 'RUN: at line 4'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang --driver-mode=g++ -fsanitize=address -mno-omit-leaf-frame-pointer -fno-omit-frame-pointer -fno-optimize-sibling-calls -gline-tables-only -m64 -shared-libasan -O0 /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/asan/TestCases/scariness_score_test.cpp -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/asan/X86_64LinuxDynamicConfig/TestCases/Output/scariness_score_test.cpp.tmp
60,130 msx64 debian > AddressSanitizer-x86_64-linux.TestCases::scariness_score_test.cpp
Script: -- : 'RUN: at line 4'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang --driver-mode=g++ -fsanitize=address -mno-omit-leaf-frame-pointer -fno-omit-frame-pointer -fno-optimize-sibling-calls -gline-tables-only -m64 -O0 /var/lib/buildkite-agent/builds/llvm-project/compiler-rt/test/asan/TestCases/scariness_score_test.cpp -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/compiler-rt/test/asan/X86_64LinuxConfig/TestCases/Output/scariness_score_test.cpp.tmp
60,060 msx64 debian > Clang.CodeGen/RISCV/rvv-intrinsics::vloxseg_mask_mf.c
Script: -- : 'RUN: at line 3'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/clang -cc1 -internal-isystem /var/lib/buildkite-agent/builds/llvm-project/build/lib/clang/15.0.0/include -nostdsysteminc -no-opaque-pointers -triple riscv64 -target-feature +f -target-feature +d -target-feature +zfh -target-feature +experimental-zvfh -target-feature +v -disable-O0-optnone -emit-llvm /var/lib/buildkite-agent/builds/llvm-project/clang/test/CodeGen/RISCV/rvv-intrinsics/vloxseg_mask_mf.c -o - | /var/lib/buildkite-agent/builds/llvm-project/build/bin/opt -S -mem2reg | /var/lib/buildkite-agent/builds/llvm-project/build/bin/FileCheck --check-prefix=CHECK-RV64 /var/lib/buildkite-agent/builds/llvm-project/clang/test/CodeGen/RISCV/rvv-intrinsics/vloxseg_mask_mf.c
60,080 msx64 debian > Clang.CodeGen/RISCV/rvv-intrinsics::vlseg_mask.c
Script: -- : 'RUN: at line 3'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/clang -cc1 -internal-isystem /var/lib/buildkite-agent/builds/llvm-project/build/lib/clang/15.0.0/include -nostdsysteminc -no-opaque-pointers -triple riscv32 -target-feature +f -target-feature +d -target-feature +v -target-feature +zfh -target-feature +experimental-zvfh -disable-O0-optnone -fallow-half-arguments-and-returns -emit-llvm /var/lib/buildkite-agent/builds/llvm-project/clang/test/CodeGen/RISCV/rvv-intrinsics/vlseg_mask.c -o - | /var/lib/buildkite-agent/builds/llvm-project/build/bin/opt -S -mem2reg | /var/lib/buildkite-agent/builds/llvm-project/build/bin/FileCheck --check-prefix=CHECK-RV32 /var/lib/buildkite-agent/builds/llvm-project/clang/test/CodeGen/RISCV/rvv-intrinsics/vlseg_mask.c
60,060 msx64 debian > Clang.CodeGen/RISCV/rvv-intrinsics::vlsegff_mask.c
Script: -- : 'RUN: at line 3'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/clang -cc1 -internal-isystem /var/lib/buildkite-agent/builds/llvm-project/build/lib/clang/15.0.0/include -nostdsysteminc -no-opaque-pointers -triple riscv32 -target-feature +f -target-feature +d -target-feature +v -target-feature +zfh -target-feature +experimental-zvfh -disable-O0-optnone -fallow-half-arguments-and-returns -emit-llvm /var/lib/buildkite-agent/builds/llvm-project/clang/test/CodeGen/RISCV/rvv-intrinsics/vlsegff_mask.c -o - | /var/lib/buildkite-agent/builds/llvm-project/build/bin/opt -S -mem2reg | /var/lib/buildkite-agent/builds/llvm-project/build/bin/FileCheck --check-prefix=CHECK-RV32 /var/lib/buildkite-agent/builds/llvm-project/clang/test/CodeGen/RISCV/rvv-intrinsics/vlsegff_mask.c
View Full Test Results (13 Failed)

Event Timeline

pcwang-thead created this revision.Apr 8 2022, 12:05 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 8 2022, 12:05 AM
pcwang-thead requested review of this revision.Apr 8 2022, 12:05 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 8 2022, 12:05 AM

Add test for position instructions and CFI.

luismarques accepted this revision.Apr 20 2022, 3:23 AM

LGTM. Don't forget to fix the typo before committing.

llvm/test/CodeGen/RISCV/machine-outliner-position.mir
8 ↗(On Diff #423045)

instructions

This revision is now accepted and ready to land.Apr 20 2022, 3:23 AM

Rebase and fix typo.

This revision was landed with ongoing or failed builds.Apr 21 2022, 1:09 AM
This revision was automatically updated to reflect the committed changes.

https://llvm.org/docs/DeveloperPolicy.html:

  • The commit message for the reverting commit should explain why patch is being reverted.

Why was the commit reverted?

https://llvm.org/docs/DeveloperPolicy.html:

  • The commit message for the reverting commit should explain why patch is being reverted.

Why was the commit reverted?

Sorry. This patch caused some errors because there was no nounwind attr in machine-outliner-cfi.mir.

I will add the reason when I recommit it.

pcwang-thead reopened this revision.Apr 21 2022, 6:15 AM
This revision is now accepted and ready to land.Apr 21 2022, 6:15 AM

Add nounwind attr to machine-outliner-cfi.mir.

This revision was landed with ongoing or failed builds.Apr 21 2022, 9:20 PM
This revision was automatically updated to reflect the committed changes.